%define		kdeframever	5.13
%define		qtver		5.3.2
%define		kfname		kxmlrpcclient
#
Summary:	XML-RPC client library
Name:		kf5-%{kfname}
Version:	5.13.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	1506887fea60047aea44db4e83015c1c
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5Xml-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	kf5-extra-cmake-modules >= 1.4.0
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
XML-RPC client library.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT

%find_lang libkxmlrpcclient5 --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f libkxmlrpcclient5.lang
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %ghost %{_libdir}/libKF5XmlRpcClient.so.5
%attr(755,root,root) %{_libdir}/libKF5XmlRpcClient.so.*.*

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/KXmlRpcClient
%{_includedir}/KF5/kxmlrpcclient_version.h
%{_libdir}/cmake/KF5XmlRpcClient
%attr(755,root,root) %{_libdir}/libKF5XmlRpcClient.so
%{qt5dir}/mkspecs/modules/qt_KXmlRpcClient.pri
%changelog
* Fri Sep 04 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-kxmlrpcclient.git;a=log;h=master

* Fri Sep 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 00f9ea0
- initial

